# Get all banks

## Make a get request to all available banks&#x20;

<mark style="color:blue;">`GET`</mark> `https://sandbox.moneymie.com/api/v1/payout/banks`

Get a list of all the available banks when you want to create a transaction. You can narrow down to the specific banks available in the destination country by adding a query parameter in the body.

#### Query Parameters

| Name                                       | Type   | Description                                                   |
| ------------------------------------------ | ------ | ------------------------------------------------------------- |
| country <mark style="color:red;">\*</mark> | String | The country you intend to get banks from                      |
| currency<mark style="color:red;">\*</mark> | String | The currency the banks wll recieve in the country you entered |

{% tabs %}
{% tab title="401: Unauthorized Unauthorized access - Invalid token" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request Client error" %}

```json
{
  "code": "XXXX",
  "message": "Invalid currency"
}
```

{% endtab %}

{% tab title="201: Created Banks successfully fetched" %}

```json
// Fetch all the banks in Rwanda (country=RW and currency=RWF)
[
    {
        "bankName": "Ecobank RW",
        "bankCode": "508"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://moneymie.gitbook.io/toga-api/api-reference/payouts/get-all-banks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
